Slider

Slider is a cell drop-down in SpreadJS, which is defined as a style in the workbook which can be applied to cells. JavaScript code can be used to define the marks, step, and direction of the slider. The spreadsheet below shows two different ways that the slider can be shown in the worksheet.

Description
app.js
index.html
styles.css
Copy to CodeMine

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.

SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Slider drop-down.

You can use Slider drop-down with the following code :

    // The way of click the dropdown icon to open Slider. 
   var horizontalSliderStyle = new GC.Spread.Sheets.Style();
       horizontalSliderStyle.cellButtons = [
           {
               imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
               command: "openSlider",
               useButtonStyle: true,
           }
       ];
       horizontalSliderStyle.dropDowns = [
           {
               type: GC.Spread.Sheets.DropDownType.slider,
               option: {
                   marks: [0,50,100],
                   step: 10,
                   direction: GC.Spread.Sheets.LayoutDirection.horizontal,
               }
           }
       ];
       sheet.setText(2, 7, "Horizontal Number Slider");
       sheet.setStyle(3, 7, horizontalSliderStyle);

       // The way just open Slider with command rather then clicking the dropdown button.
       spread.commandManager().execute({cmd:"openSlider",row:3,col:7,sheetName:"Sheet1"});

There are also some option items for customizing the slider:

  • scaleVisible: boolean : Specify whether the thumb can drag over tick only, default value is false.
  • max: number : The maximum value the slider can slide to, default value is 100.
  • min: number : The minimum value the slider can slide to, default value is 0.
  • step: number : The granularity that the slider can step through values. Must greater than 0, and be divided by (max - min) . When marks no null, step can be null, default value is 1.
  • tooltipVisible: boolean : If true, tooltip will show always, or it will not show, even if dragging or hovering, default value is false.
  • width: number : Specify the slider's width when direction is horizontal, default value is 350.
  • height: number : Specify the slider's height when direction is vertical, default value is 350.
  • direction: "horizontal" | "vertical" : Specific the direction of slider, default value is horizontal.
  • marks: number[] : Tick mark of Slider, type has value and label.
  • formatString: string : Specify the display formatter, that used to tooltip or marks.
  • showNumberRange: boolean : Specify whether the slider show as select number range mode, default value is false.
Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu. SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Slider drop-down. You can use Slider drop-down with the following code : There are also some option items for customizing the slider: scaleVisible: boolean : Specify whether the thumb can drag over tick only, default value is false. max: number : The maximum value the slider can slide to, default value is 100. min: number : The minimum value the slider can slide to, default value is 0. step: number : The granularity that the slider can step through values. Must greater than 0, and be divided by (max - min) . When marks no null, step can be null, default value is 1. tooltipVisible: boolean : If true, tooltip will show always, or it will not show, even if dragging or hovering, default value is false. width: number : Specify the slider's width when direction is horizontal, default value is 350. height: number : Specify the slider's height when direction is vertical, default value is 350. direction: "horizontal" | "vertical" : Specific the direction of slider, default value is horizontal. marks: number[] : Tick mark of Slider, type has value and label. formatString: string : Specify the display formatter, that used to tooltip or marks. showNumberRange: boolean : Specify whether the slider show as select number range mode, default value is false.
var spreadNS = GC.Spread.Sheets; window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss")); initSpread(spread); }; function createSliderStyle(option) { let sliderStyle = new GC.Spread.Sheets.Style(); sliderStyle.cellButtons = [{ imageType: GC.Spread.Sheets.ButtonImageType.dropdown, command: "openSlider", useButtonStyle: true }]; sliderStyle.dropDowns = [{ type: GC.Spread.Sheets.DropDownType.slider, option: option }]; return sliderStyle } function initSpread(spread) { var sheet = spread.getSheet(0); sheet.suspendPaint(); sheet.setText(2, 7, "Horizontal Number Slider"); sheet.setStyle(3, 7, createSliderStyle({ marks: [0, 50, 100], step: 10, direction: GC.Spread.Sheets.LayoutDirection.horizontal, })); sheet.setText(2, 12, "Vertical Temperature Slider"); sheet.setStyle(3, 12, createSliderStyle({ max: 45, min: 32, marks: ["36"], step: 1, direction: GC.Spread.Sheets.LayoutDirection.vertical, formatString: "0°C" })); sheet.setText(14, 7, "Horizontal Number Range Slider"); sheet.setText(16, 6, "Start Number:"); sheet.setFormula(16, 7, '=IF(ISBLANK(H16), "", H16.start'); sheet.setText(17, 6, "End Number:"); sheet.setFormula(17, 7, '=IF(ISBLANK(H16), "", H16.end'); sheet.setColumnWidth(6,150); let rangeSliderStyle1 = createSliderStyle({ marks: [0, 50, 100], step: 10, direction: GC.Spread.Sheets.LayoutDirection.horizontal, showNumberRange: true }); rangeSliderStyle1.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)'; sheet.setStyle(15, 7, rangeSliderStyle1); sheet.setText(14, 12, "Vertical Number Range Slider"); sheet.setText(16, 11, "Start Number:"); sheet.setFormula(16, 12, '=IF(ISBLANK(M16), "", M16.start'); sheet.setText(17, 11, "End Number:"); sheet.setFormula(17, 12, '=IF(ISBLANK(M16), "", M16.end'); sheet.setColumnWidth(11,150); let rangeSliderStyle2 = createSliderStyle({ marks: [0, 50, 100], step: 1, direction: GC.Spread.Sheets.LayoutDirection.vertical, showNumberRange: true }); rangeSliderStyle2.formatter = '=IFERROR(@.start, 0)&"-"&IFERROR(@.end, 0)'; sheet.setStyle(15, 12, rangeSliderStyle2); sheet.resumePaint(); spread.commandManager().execute({ cmd: "openSlider", row: 3, col: 7, sheetName: "Sheet1" }); // spread.commandManager().execute({cmd:"openSlider",row:3,col:12,sheetName:"Sheet1"}); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" style="width:100%; height: 100%"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.
SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Slider drop-down.
You can use Slider drop-down with the following code :
There are also some option items for customizing the slider:
scaleVisible: boolean : Specify whether the thumb can drag over tick only, default value is false.
max: number : The maximum value the slider can slide to, default value is 100.
min: number : The minimum value the slider can slide to, default value is 0.
step: number : The granularity that the slider can step through values. Must greater than 0, and be divided by (max - min) . When marks no null, step can be null, default value is 1.
tooltipVisible: boolean : If true, tooltip will show always, or it will not show, even if dragging or hovering, default value is false.
width: number : Specify the slider's width when direction is horizontal, default value is 350.
height: number : Specify the slider's height when direction is vertical, default value is 350.
direction: "horizontal" | "vertical" : Specific the direction of slider, default value is horizontal.
marks: number[] : Tick mark of Slider, type has value and label.
formatString: string : Specify the display formatter, that used to tooltip or marks.
showNumberRange: boolean : Specify whether the slider show as select number range mode, default value is false.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets } from '@mescius/spread-sheets-react';
export function AppFunc() {
const createSliderStyle = (option) => {
let sliderStyle = new GC.Spread.Sheets.Style();
sliderStyle.cellButtons = [{
imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
command: "openSlider",
useButtonStyle: true
}];
sliderStyle.dropDowns = [{
type: GC.Spread.Sheets.DropDownType.slider,
option: option
}];
return sliderStyle
}
const initSpread = (spread) => {
let sheet = spread.getSheet(0);
sheet.suspendPaint();
sheet.setText(2, 7, "Horizontal Number Slider");
sheet.setStyle(3, 7, createSliderStyle({
marks: [0, 50, 100],
step: 10,
direction: GC.Spread.Sheets.LayoutDirection.horizontal
}));
sheet.setText(2, 12, "Vertical Temperature Slider");
sheet.setStyle(3, 12, createSliderStyle({
max: 45,
min: 32,
marks: ["36"],
step: 1,
direction: GC.Spread.Sheets.LayoutDirection.vertical,
formatString: "0°C"
}));
sheet.setText(14, 7, "Horizontal Number Range Slider");
sheet.setText(16, 6, "Start Number:");
sheet.setFormula(16, 7, '=IF(ISBLANK(H16), "", H16.start');
sheet.setText(17, 6, "End Number:");
sheet.setFormula(17, 7, '=IF(ISBLANK(H16), "", H16.end');
sheet.setColumnWidth(6, 150);
let rangeSliderStyle1 = createSliderStyle({
marks: [0, 50, 100],
step: 10,
direction: GC.Spread.Sheets.LayoutDirection.horizontal,
showNumberRange: true
});
rangeSliderStyle1.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)';
sheet.setStyle(15, 7, rangeSliderStyle1);
sheet.setText(14, 12, "Vertical Number Range Slider");
sheet.setText(16, 11, "Start Number:");
sheet.setFormula(16, 12, '=IF(ISBLANK(M16), "", M16.start');
sheet.setText(17, 11, "End Number:");
sheet.setFormula(17, 12, '=IF(ISBLANK(M16), "", M16.end');
sheet.setColumnWidth(11, 150);
let rangeSliderStyle2 = createSliderStyle({
marks: [0, 50, 100],
step: 1,
direction: GC.Spread.Sheets.LayoutDirection.vertical,
showNumberRange: true
});
rangeSliderStyle2.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)';
sheet.setStyle(15, 12, rangeSliderStyle2);
sheet.resumePaint();
spread.commandManager().execute({
cmd: "openSlider",
row: 3,
col: 7,
sheetName: "Sheet1"
});
}
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={initSpread}>
</SpreadSheets>
</div>
</div>);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.autoGenerateColumns = false;
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
</div>);
}
createSliderStyle(option) {
let sliderStyle = new GC.Spread.Sheets.Style();
sliderStyle.cellButtons = [{
imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
command: "openSlider",
useButtonStyle: true
}];
sliderStyle.dropDowns = [{
type: GC.Spread.Sheets.DropDownType.slider,
option: option
}];
return sliderStyle
}
initSpread(spread) {
let sheet = spread.getSheet(0);
sheet.suspendPaint();
sheet.setText(2, 7, "Horizontal Number Slider");
sheet.setStyle(3, 7, this.createSliderStyle({
marks: [0, 50, 100],
step: 10,
direction: GC.Spread.Sheets.LayoutDirection.horizontal
}));
sheet.setText(2, 12, "Vertical Temperature Slider");
sheet.setStyle(3, 12, this.createSliderStyle({
max: 45,
min: 32,
marks: ["36"],
step: 1,
direction: GC.Spread.Sheets.LayoutDirection.vertical,
formatString: "0°C"
}));
sheet.setText(14, 7, "Horizontal Number Range Slider");
sheet.setText(16, 6, "Start Number:");
sheet.setFormula(16, 7, '=IF(ISBLANK(H16), "", H16.start');
sheet.setText(17, 6, "End Number:");
sheet.setFormula(17, 7, '=IF(ISBLANK(H16), "", H16.end');
sheet.setColumnWidth(6,150);
let rangeSliderStyle1 = this.createSliderStyle({
marks: [0, 50, 100],
step: 10,
direction: GC.Spread.Sheets.LayoutDirection.horizontal,
showNumberRange: true
});
rangeSliderStyle1.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)';
sheet.setStyle(15, 7, rangeSliderStyle1);
sheet.setText(14, 12, "Vertical Number Range Slider");
sheet.setText(16, 11, "Start Number:");
sheet.setFormula(16, 12, '=IF(ISBLANK(M16), "", M16.start');
sheet.setText(17, 11, "End Number:");
sheet.setFormula(17, 12, '=IF(ISBLANK(M16), "", M16.end');
sheet.setColumnWidth(11,150);
let rangeSliderStyle2 = this.createSliderStyle({
marks: [0, 50, 100],
step: 1,
direction: GC.Spread.Sheets.LayoutDirection.vertical,
showNumberRange: true
});
rangeSliderStyle2.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)';
sheet.setStyle(15, 12, rangeSliderStyle2);
sheet.resumePaint();
spread.commandManager().execute({
cmd: "openSlider",
row: 3,
col: 7,
sheetName: "Sheet1"
});
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.2-master-2026-06-10-2131/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'cdn:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.
SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Slider drop-down.
You can use Slider drop-down with the following code :
There are also some option items for customizing the slider:
scaleVisible: boolean : Specify whether the thumb can drag over tick only, default value is false.
max: number : The maximum value the slider can slide to, default value is 100.
min: number : The minimum value the slider can slide to, default value is 0.
step: number : The granularity that the slider can step through values. Must greater than 0, and be divided by (max - min) . When marks no null, step can be null, default value is 1.
tooltipVisible: boolean : If true, tooltip will show always, or it will not show, even if dragging or hovering, default value is false.
width: number : Specify the slider's width when direction is horizontal, default value is 350.
height: number : Specify the slider's height when direction is vertical, default value is 350.
direction: "horizontal" | "vertical" : Specific the direction of slider, default value is horizontal.
marks: number[] : Tick mark of Slider, type has value and label.
formatString: string : Specify the display formatter, that used to tooltip or marks.
showNumberRange: boolean : Specify whether the slider show as select number range mode, default value is false.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread"></gc-spread-sheets>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue'
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
const spreadRef = ref(null);
function createSliderStyle(option) {
let sliderStyle = new GC.Spread.Sheets.Style();
sliderStyle.cellButtons = [{
imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
command: "openSlider",
useButtonStyle: true
}];
sliderStyle.dropDowns = [{
type: GC.Spread.Sheets.DropDownType.slider,
option: option
}];
return sliderStyle
}
function initSpread(spread) {
spreadRef.value = spread;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
sheet.setText(2, 7, "Horizontal Number Slider");
sheet.setStyle(3, 7, createSliderStyle({
marks: [0, 50, 100],
step: 10,
direction: GC.Spread.Sheets.LayoutDirection.horizontal
}));
sheet.setText(2, 12, "Vertical Temperature Slider");
sheet.setStyle(3, 12, createSliderStyle({
max: 45,
min: 32,
marks: ["36"],
step: 1,
direction: GC.Spread.Sheets.LayoutDirection.vertical,
formatString: "0°C"
}));
sheet.setText(14, 7, "Horizontal Number Range Slider");
sheet.setText(16, 6, "Start Number:");
sheet.setFormula(16, 7, '=IF(ISBLANK(H16), "", H16.start');
sheet.setText(17, 6, "End Number:");
sheet.setFormula(17, 7, '=IF(ISBLANK(H16), "", H16.end');
sheet.setColumnWidth(6, 150);
let rangeSliderStyle1 = createSliderStyle({
marks: [0, 50, 100],
step: 10,
direction: GC.Spread.Sheets.LayoutDirection.horizontal,
showNumberRange: true
});
rangeSliderStyle1.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)';
sheet.setStyle(15, 7, rangeSliderStyle1);
sheet.setText(14, 12, "Vertical Number Range Slider");
sheet.setText(16, 11, "Start Number:");
sheet.setFormula(16, 12, '=IF(ISBLANK(M16), "", M16.start');
sheet.setText(17, 11, "End Number:");
sheet.setFormula(17, 12, '=IF(ISBLANK(M16), "", M16.end');
sheet.setColumnWidth(11, 150);
let rangeSliderStyle2 = createSliderStyle({
marks: [0, 50, 100],
step: 1,
direction: GC.Spread.Sheets.LayoutDirection.vertical,
showNumberRange: true
});
rangeSliderStyle2.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)';
sheet.setStyle(15, 12, rangeSliderStyle2);
sheet.resumePaint();
spread.commandManager().execute({
cmd: "openSlider",
row: 3,
col: 7,
sheetName: "Sheet1"
});
}
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.2-master-2026-06-10-2131/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-io': 'cdn:@mescius/spread-sheets-io/index.js',
'@mescius/spread-sheets-vue': 'cdn:@mescius/spread-sheets-vue/index.js',
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

Drop-downs provide a developer the ability to add a drop-down menu with specific properties to cells in a workbook. These drop-down menus don't require any extra code other than simply specifying which one to use for the drop-down menu.
SpreadJS has 9 different kinds of drop-downs, and this demo shows how to use the Slider drop-down.
You can use Slider drop-down with the following code :
There are also some option items for customizing the slider:
scaleVisible: boolean : Specify whether the thumb can drag over tick only, default value is false.
max: number : The maximum value the slider can slide to, default value is 100.
min: number : The minimum value the slider can slide to, default value is 0.
step: number : The granularity that the slider can step through values. Must greater than 0, and be divided by (max - min) . When marks no null, step can be null, default value is 1.
tooltipVisible: boolean : If true, tooltip will show always, or it will not show, even if dragging or hovering, default value is false.
width: number : Specify the slider's width when direction is horizontal, default value is 350.
height: number : Specify the slider's height when direction is vertical, default value is 350.
direction: "horizontal" | "vertical" : Specific the direction of slider, default value is horizontal.
marks: number[] : Tick mark of Slider, type has value and label.
formatString: string : Specify the display formatter, that used to tooltip or marks.
showNumberRange: boolean : Specify whether the slider show as select number range mode, default value is false.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
createSliderStyle(option: object) {
let sliderStyle = new GC.Spread.Sheets.Style();
sliderStyle.cellButtons = [{
imageType: GC.Spread.Sheets.ButtonImageType.dropdown,
command: "openSlider",
useButtonStyle: true
}];
sliderStyle.dropDowns = [{
type: GC.Spread.Sheets.DropDownType.slider,
option: option
}];
return sliderStyle
}
initSpread($event: any) {
let spread: GC.Spread.Sheets.Workbook = $event.spread;
let sheet = spread.getSheet(0);
sheet.suspendPaint();
sheet.setText(2, 7, "Horizontal Number Slider");
sheet.setStyle(3, 7, this.createSliderStyle({
marks: [0, 50, 100],
step: 10,
direction: GC.Spread.Sheets.LayoutDirection.horizontal
}));
sheet.setText(2, 12, "Vertical Temperature Slider");
sheet.setStyle(3, 12, this.createSliderStyle({
max: 45,
min: 32,
marks: ["36"],
step: 1,
direction: GC.Spread.Sheets.LayoutDirection.vertical,
formatString: "0°C"
}));
sheet.setText(14, 7, "Horizontal Number Range Slider");
sheet.setText(16, 6, "Start Number:");
sheet.setFormula(16, 7, '=IF(ISBLANK(H16), "", H16.start');
sheet.setText(17, 6, "End Number:");
sheet.setFormula(17, 7, '=IF(ISBLANK(H16), "", H16.end');
sheet.setColumnWidth(6,150);
let rangeSliderStyle1 = this.createSliderStyle({
marks: [0, 50, 100],
step: 10,
direction: GC.Spread.Sheets.LayoutDirection.horizontal,
showNumberRange: true
});
rangeSliderStyle1.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)';
sheet.setStyle(15, 7, rangeSliderStyle1);
sheet.setText(14, 12, "Vertical Number Range Slider");
sheet.setText(16, 11, "Start Number:");
sheet.setFormula(16, 12, '=IF(ISBLANK(M16), "", M16.start');
sheet.setText(17, 11, "End Number:");
sheet.setFormula(17, 12, '=IF(ISBLANK(M16), "", M16.end');
sheet.setColumnWidth(11,150);
let rangeSliderStyle2 = this.createSliderStyle({
marks: [0, 50, 100],
step: 1,
direction: GC.Spread.Sheets.LayoutDirection.vertical,
showNumberRange: true
});
rangeSliderStyle2.formatter = '=IF(ISBLANK(@), "", @.start&"~"&@.end)';
sheet.setStyle(15, 12, rangeSliderStyle2);
sheet.resumePaint();
spread.commandManager().execute({
cmd: "openSlider",
row: 3,
col: 7,
sheetName: "Sheet1"
});
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
width: 100%;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/',
'cdn:': 'https://cdn.mescius.io/demoapps/packages/spreadjs/19.1.2-master-2026-06-10-2131/'
},
// map tells the System loader where to look for things
map: {
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'cdn:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'cdn:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);